Bug 23209 - how to differentiate kill_fasync() for RedHat systems
Summary: how to differentiate kill_fasync() for RedHat systems
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 6.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-03 08:50 UTC by bizjak
Modified: 2008-08-01 16:22 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:38:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description bizjak 2001-01-03 08:50:17 UTC
We would like to properly support RedHat kernels in ALSA sound drivers.
However, RedHat uses modified kill_fasync() and there is no recommended
solution on how to detect RedHat kernels with modified kill_fasync(). Will
the solution below support current RedHat kernels, based on linux 2.2.x,
2.3.x and later? Is it enough to detect only __rh_config_h__ ?

#if defined(__rh_config_h__) || (defined(__rh_kernel_autoconf_h__) &&
LINUX_VERS ION_CODE > KERNEL_VERSION(2, 2, 12))
#define snd_kill_fasync(fp, sig, band) kill_fasync(*(fp), sig, band)
#else
#define snd_kill_fasync(fp, sig, band) kill_fasync(*(fp), sig)
#endif

Comment 1 Bugzilla owner 2004-09-30 15:38:53 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.